package com.jsh.erp.datasource.pda.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class PDADepotHeadDTO {

    @ApiModelProperty("单据ID")
    private Long id;

    @ApiModelProperty("开始时间")
    private String beginTime;

    @ApiModelProperty("结束时间")
    private String endTime;

    @ApiModelProperty("单据编号")
    private String number;

    @ApiModelProperty("状态 0.未审核，1.已审核，2.已完成，3.部分完成，4.进行中,9.审核中")
    private String status;

    @ApiModelProperty("单据类型")
    private String subType;

    @ApiModelProperty("操作类型")
    private String type;

    @ApiModelProperty("凭证图片")
    private String voucherPicture;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("订单商品数据")
    private List<PDADepotMaterialDto> materials;

    @ApiModelProperty("仓库id")
    private Long depotId;



}
