package com.jsh.erp.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.jsh.erp.datasource.entities.TaskStocktakingItem;
import com.jsh.erp.datasource.mappers.TaskStocktakingItemMapper;
import com.jsh.erp.datasource.vo.SpinnerVO;
import com.jsh.erp.service.TaskStocktakingItemService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
@RequiredArgsConstructor
@Slf4j
public class TaskStocktakingItemServiceImpl extends ServiceImpl<TaskStocktakingItemMapper, TaskStocktakingItem> implements TaskStocktakingItemService {

    private final TaskStocktakingItemMapper taskStocktakingItemMapper;

    @Override
    public List<SpinnerVO> creatorSpinnerList(Long taskId) {
        return taskStocktakingItemMapper.creatorSpinnerList(taskId);
    }
}
